Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io.diff
Class SVNSequenceDeltaGenerator

    java.lang.Object
      org.tmatesoft.svn.core.io.diff.SVNSequenceDeltaGenerator

All Implemented Interfaces:
  ISVNDeltaGenerator

Deprecated. see `SVNDeltaGenerator`

public class SVNSequenceDeltaGenerator
extends Object
implements ISVNDeltaGenerator

The SVNSequenceDeltaGenerator class is a delta generator that produces defferences delta for two text files, and full text delta if a target file is binary.

Version:
  1.0
Author:
  TMate Software Ltd.

Constructor Summary
`SVNSequenceDeltaGenerator(File tempDirectory)` Deprecated. Creates a sequence delta generator given a temporary directory where all necessary temporary files will be created.

Method Summary
`void` | `generateDiffWindow(String commitPath, ISVNEditor consumer, ISVNRAData workFile, ISVNRAData baseFile)` Deprecated. Generates a diff window comparing the two given files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNSequenceDeltaGenerator

    public SVNSequenceDeltaGenerator(File tempDirectory)

  Deprecated.
  Creates a sequence delta generator given a temporary directory where all necessary temporary files will be created.

Parameters:
  `tempDirectory` - a temporary directory

Method Detail

### generateDiffWindow

    public void generateDiffWindow(String commitPath,
                                   ISVNEditor consumer,
                                   ISVNRAData workFile,
                                   ISVNRAData baseFile)
                            throws SVNException

  Deprecated.
  Generates a diff window comparing the two given files.

  If any of `workFile` & `baseFile` is binary, then actually uses an SVNAllDeltaGenerator to generate a replacement diff window.

  `consumer` receives the generated diff window and provides an output stream to write new data bytes:

           OutputStream os = consumer.textDeltaChunk(commitPath, window);

  When the bytes are written, the generator calls:

           consumer.textDeltaEnd(commitPath);

  Specified by:
    `generateDiffWindow` in interface `ISVNDeltaGenerator`
  Parameters:
    `commitPath` - a file path
    `consumer` - an editor that receives the generated dif window(s)
    `workFile` - a working version of the file (target file)
    `baseFile` - a base (prestine) version of the file
  Throws:
    `SVNException` - if an i/o error occurred
  See Also:
    `SVNAllDeltaGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.